リンク統計
GET https://linktify.net/api/statistics/
curl --request GET \
--url 'https://linktify.net/api/statistics/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linktify.net/api/statistics/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| start_date | 必須 | 開始日。Y-m-d 形式。 |
| end_date | 必須 | 終了日。Y-m-d 形式。 |
| project_id | 任意 整数 | |
| type | 任意 文字列 | 許可値:overview, referrer_host, referrer_path, continent_code, country_code, city_name, os_name, browser_name, device_type, browser_language, utm_source, utm_medium, utm_campaign, hour |
| country_code | 任意 文字列 | 利用可能な条件:type = city_name |
| utm_source | 任意 文字列 | 利用可能な条件:type = utm_medium, utm_campaign |
| utm_medium | 任意 文字列 | 利用可能な条件:type = utm_campaign |
| referrer_host | 任意 文字列 | 利用可能な条件:type = referrer_path |
{
"data": [
{
"pageviews": 20,
"visitors": 5,
"formatted_date": "2021-01"
},
{
"pageviews": 35,
"visitors": 10,
"formatted_date": "2021-02"
},
{
"pageviews": 50,
"visitors": 25,
"formatted_date": "2021-03"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://linktify.net/api/statistics?page=1",
"last": "https://linktify.net/api/statistics?page=1",
"next": null,
"prev": null,
"self": "https://linktify.net/api/statistics?page=1"
}
}
GET https://linktify.net/api/statistics/{link_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| start_date | 必須 | 開始日。Y-m-d 形式。 |
| end_date | 必須 | 終了日。Y-m-d 形式。 |
| type | 任意 文字列 | 許可値:overview, referrer_host, referrer_path, continent_code, country_code, city_name, os_name, browser_name, device_type, browser_language, utm_source, utm_medium, utm_campaign, hour |
| country_code | 任意 文字列 | 利用可能な条件:type = city_name |
| utm_source | 任意 文字列 | 利用可能な条件:type = utm_medium, utm_campaign |
| utm_medium | 任意 文字列 | 利用可能な条件:type = utm_campaign |
| referrer_host | 任意 文字列 | 利用可能な条件:type = referrer_path |
curl --request GET \
--url 'https://linktify.net/api/statistics/{link_id}?start_date=2020-01-01&end_date=2021-01-01' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linktify.net/api/statistics/{link_id}?start_date=2020-01-01&end_date=2021-01-01' \
--header 'Authorization: Bearer {api_key}' \
{
"data": [
{
"pageviews": 20,
"visitors": 5,
"formatted_date": "2021-01"
},
{
"pageviews": 35,
"visitors": 10,
"formatted_date": "2021-02"
},
{
"pageviews": 50,
"visitors": 25,
"formatted_date": "2021-03"
}
]
}